
const mementos = [];
const savedMementos = [];

export function storeMemento(memento) {
    console.log("Saving memento");
    mementos.push(structuredClone(memento));
}

export function saveMemento(memento) {
    console.log("Saving memento");
    savedMementos.push(structuredClone(memento));
}

export function getSavedMementos() {
    return savedMementos;
}

export function loadMemento(i) {
    return structuredClone(savedMementos[i]);
}

export function peekLastMemento() {
    return mementos[mementos.length-1];
}

export function undo() {
    if (mementos.length > 0) {
        console.log("Undoing");
        let memento = mementos.pop();

        return memento;
    }
}
